<bugID>1234384<Summary>[META] Fixing createCodebasePrincipalFromOrigin callers to support contextual identities.</Summary><Description>This is the meta bug for fixing all of the createCodebasePrincipalFromOrigin call sites to make sure that user context ID and the other origin attributes are handled correctly.</Description></bugID>